org.jgroups.util

## Class RingBuffer<T>

- java.lang.Object
- - org.jgroups.util.RingBuffer<T>

    public class RingBuffer<T>
    extends java.lang.Object

Author:
  Bela Ban

### Constructor Summary

Constructors
Constructor and Description
`RingBuffer(int capacity)`

### Method Summary

Methods
`void` `add(T el)` Adds an elements into the buffer.
`java.lang.String` `dumpNonNullElements()`
`T` `remove()`
`int` `size()`
`java.lang.String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### RingBuffer

    public RingBuffer(int capacity)

### Method Detail

#### add

    public void add(T el)

Adds an elements into the buffer. Blocks if full

Parameters:
  `el` -

#### remove

    public T remove()

#### dumpNonNullElements

    public java.lang.String dumpNonNullElements()

#### size

    public int size()

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`